Grasshopper

algorithmic modeling for Rhino

Anders Holden Deleuran's Comments

Comment Wall (14 comments)

You need to be a member of Grasshopper to add comments!

At 3:46am on December 5, 2017, ahmed said…

Hello Ander, 

I am wondering if your grasshopper screen capture script can be used for animation and video capture ?

Cheers 

Ahmed.

At 7:31am on November 19, 2014, hamia Aghaiemeybodi said…

Many thanks Anders,

I used xlrd and xlwt it works but its a bit tricky. I'll try the .NET methods.

cheers

At 2:55pm on November 17, 2014, hamia Aghaiemeybodi said…

Hi Anders,

Do you know how can I open and excel sheet in python grasshopper, add some line to the sheet, save and close it!

Thanks

At 2:20pm on October 17, 2014, hamia Aghaiemeybodi said…

Hi Anders, thanks for the reply. I checked that already it says if it is cylinder but I'm looking for a way to find out an easy way to pre-rationalize sub-surfaces which are not cylinder but close to cylinder so I can convert them to cylinder surface later! if it make any sense to you . . .

At 5:24pm on October 10, 2014, hamia Aghaiemeybodi said…

Hi Anders;

Do you any easy and basic way to check if a double surface cab get converted into cylinder surface? Basically for fabrication to check if I can reduce the cost by converting few double curved panel and get more or less the same result!

many thanks!

At 7:30am on January 29, 2014, hamia Aghaiemeybodi said…

Many thanks Anders;

I figured that out, now I'm looking for way to convert text to one single curve (to save time for laser cutting). At the moment i get the out line of text as curve which is great but still time consuming.

Regards,

H/

At 7:26am on January 28, 2014, hamia Aghaiemeybodi said…

here is the complete one:

if(!string.IsNullOrEmpty(face) && size > 0 && !string.IsNullOrEmpty(content) &&
pl.IsValid)
{

var te = RhinoDoc.ActiveDoc.Objects.AddText(content, pl, size, face, bold, italics);
Rhino.DocObjects.TextObject txt = RhinoDoc.ActiveDoc.Objects.Find(te) as Rhino.DocObjects.TextObject;

if(txt != null)
{
var tt = txt.Geometry as Rhino.Geometry.TextEntity;
A = tt.Explode();
}

RhinoDoc.ActiveDoc.Objects.Delete(te, true);

At 7:14am on January 28, 2014, hamia Aghaiemeybodi said…

Hi Anders;

Do you know how can i convert  this c# code into python? The goal is to creat single curve text for laser cut:

RhinoDoc.ActiveDoc.Objects.AddText(content, pl, size, face, bold, italics);Rhino.DocObjects.TextObject txt = RhinoDoc.ActiveDoc.Objects.Find(te) as Rhino.DocObjects.TextObject;

thanks . . .

At 12:17am on March 7, 2013, hamia Aghaiemeybodi said…

Hi.

Of course. Thanks for reply. I'm using conditional check. It helps more and as you said easier to figure out where the problem is.

Thanks,

At 9:57am on March 4, 2013, hamia Aghaiemeybodi said…

Hej man,

I found it again, seems like to solve my problem i just need to post my question on your wall :D . .. 

cheers...

At 8:04am on March 4, 2013, hamia Aghaiemeybodi said…

Hi anders,

I'm trying to split curves in python and i get this eror:

Runtime error (TypeErrorException): Parameter must be a Guid or string representing a Guid

Im sure its Guid!!!

here is the simple script:

import rhinoscriptsyntax as rs
import Rhino as rc
curve01=rs.coercegeometry(x)
curve01.Domain = rc.Geometry.Interval(0,1)
print (rs.CurveDomain(curve01))
a=rs.SplitCurve(curve01,y)

ay idea!

Thanks.

At 1:53am on February 28, 2013, hamia Aghaiemeybodi said…

Just fixed the problem, Thanks anyway.

There was a coding mistake from my side :) ...

At 12:54am on February 28, 2013, hamia Aghaiemeybodi said…

Hi anders,

I'm working on a fillet script in python grasshopper, everything works fine as long as input polylines are in item structure, it gives eror when i set them in datatree structure this eror pops up:

 Runtime error (TypeErrorException): Parameter must be a Guid or string representing a Guid

any idea?!

fillet.gh

At 9:09am on September 24, 2009, Thomas Bildsøe said…
Yo!!! velkommen ombord!

About

Translate

Search

Photos

  • Add Photos
  • View All

Videos

  • Add Videos
  • View All

© 2024   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service